# Generated from rookout-0.1.26.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rookout

Name: rubygem-%{gem_name}
Version: 0.1.26
Release: 1%{?dist}
Summary: rookout is the Ruby SDK for the Rookout Debugging Platform
License: Proprietary
URL: https://rookout.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(google-style) = 1.24.0
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest-autotest) >= 1.0
# BuildRequires: rubygem(minitest-focus) >= 1.1
# BuildRequires: rubygem(minitest-rg) >= 5.2
# BuildRequires: rubygem(autotest-suffix) >= 1.1
# BuildRequires: rubygem(rake-compiler) >= 1.0
BuildArch: noarch

%description
rookout is the Ruby SDK for the Rookout Debugging Platform.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/rookout
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.26-1
- Initial package
